## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel
Interface Schedule

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  ScheduleImpl

    public interface Schedule

extends SQLObject

A representation of the model object 'Schedule'.

The following features are supported:

- `Recurring`
- `Start Time`
- `Stop Time`
- `Start Date`
- `Days Of Week`
- `Days Of Month`
- `Interval Unit`
- `Interval Mount`
- `Event`

See Also:
  `SybaseasabasesqlmodelPackage.getSchedule()`

Method Summary
`int` `getDaysOfMonth()` Returns the value of the 'Days Of Month' attribute.
`int` `getDaysOfWeek()` Returns the value of the 'Days Of Week' attribute.
`SybaseASABaseEvent` `getEvent()` Returns the value of the 'Event' container reference.
`int` `getIntervalMount()` Returns the value of the 'Interval Mount' attribute.
`IntervalUnitType` `getIntervalUnit()` Returns the value of the 'Interval Unit' attribute.
`java.util.Date` `getStartDate()` Returns the value of the 'Start Date' attribute.
`java.util.Date` `getStartTime()` Returns the value of the 'Start Time' attribute.
`java.util.Date` `getStopTime()` Returns the value of the 'Stop Time' attribute.
`boolean` `isRecurring()` Returns the value of the 'Recurring' attribute.
`void` `setDaysOfMonth(int value)` Sets the value of the '`Days Of Month`' attribute.
`void` `setDaysOfWeek(int value)` Sets the value of the '`Days Of Week`' attribute.
`void` `setEvent(SybaseASABaseEvent value)` Sets the value of the '`Event`' container reference.
`void` `setIntervalMount(int value)` Sets the value of the '`Interval Mount`' attribute.
`void` `setIntervalUnit(IntervalUnitType value)` Sets the value of the '`Interval Unit`' attribute.
`void` `setRecurring(boolean value)` Sets the value of the '`Recurring`' attribute.
`void` `setStartDate(java.util.Date value)` Sets the value of the '`Start Date`' attribute.
`void` `setStartTime(java.util.Date value)` Sets the value of the '`Start Time`' attribute.
`void` `setStopTime(java.util.Date value)` Sets the value of the '`Stop Time`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isRecurring

    boolean isRecurring()

  Returns the value of the 'Recurring' attribute.

  If the meaning of the 'Recurring' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Recurring' attribute.
  See Also:
    `setRecurring(boolean)`, `SybaseasabasesqlmodelPackage.getSchedule_Recurring()`

### setRecurring

    void setRecurring(boolean value)

  Sets the value of the '`Recurring`' attribute.

  Parameters:
    `value` - the new value of the 'Recurring' attribute.
  See Also:
    `isRecurring()`

### getStartTime

    java.util.Date getStartTime()

  Returns the value of the 'Start Time' attribute.

  If the meaning of the 'Start Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Time' attribute.
  See Also:
    `setStartTime(Date)`, `SybaseasabasesqlmodelPackage.getSchedule_StartTime()`

### setStartTime

    void setStartTime(java.util.Date value)

  Sets the value of the '`Start Time`' attribute.

  Parameters:
    `value` - the new value of the 'Start Time' attribute.
  See Also:
    `getStartTime()`

### getStopTime

    java.util.Date getStopTime()

  Returns the value of the 'Stop Time' attribute.

  If the meaning of the 'Stop Time' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stop Time' attribute.
  See Also:
    `setStopTime(Date)`, `SybaseasabasesqlmodelPackage.getSchedule_StopTime()`

### setStopTime

    void setStopTime(java.util.Date value)

  Sets the value of the '`Stop Time`' attribute.

  Parameters:
    `value` - the new value of the 'Stop Time' attribute.
  See Also:
    `getStopTime()`

### getStartDate

    java.util.Date getStartDate()

  Returns the value of the 'Start Date' attribute.

  If the meaning of the 'Start Date' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Start Date' attribute.
  See Also:
    `setStartDate(Date)`, `SybaseasabasesqlmodelPackage.getSchedule_StartDate()`

### setStartDate

    void setStartDate(java.util.Date value)

  Sets the value of the '`Start Date`' attribute.

  Parameters:
    `value` - the new value of the 'Start Date' attribute.
  See Also:
    `getStartDate()`

### getDaysOfWeek

    int getDaysOfWeek()

  Returns the value of the 'Days Of Week' attribute. x01 = Sunday | x02 = Monday | x04 = Tuesday | x08 = Wednesday | x10 = Thursday | x20 = Friday | x40 = Saturday

  Returns:
    the value of the 'Days Of Week' attribute.
  See Also:
    `setDaysOfWeek(int)`, `SybaseasabasesqlmodelPackage.getSchedule_DaysOfWeek()`

### setDaysOfWeek

    void setDaysOfWeek(int value)

  Sets the value of the '`Days Of Week`' attribute.

  Parameters:
    `value` - the new value of the 'Days Of Week' attribute.
  See Also:
    `getDaysOfWeek()`

### getDaysOfMonth

    int getDaysOfMonth()

  Returns the value of the 'Days Of Month' attribute. x01 = first day | x02 = second day | ... x40000000 = 31st day | x80000000 = last day of month

  Returns:
    the value of the 'Days Of Month' attribute.
  See Also:
    `setDaysOfMonth(int)`, `SybaseasabasesqlmodelPackage.getSchedule_DaysOfMonth()`

### setDaysOfMonth

    void setDaysOfMonth(int value)

  Sets the value of the '`Days Of Month`' attribute.

  Parameters:
    `value` - the new value of the 'Days Of Month' attribute.
  See Also:
    `getDaysOfMonth()`

### getIntervalUnit

    IntervalUnitType getIntervalUnit()

  Returns the value of the 'Interval Unit' attribute. The literals are from the enumeration `IntervalUnitType`.

  If the meaning of the 'Interval Unit' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Interval Unit' attribute.
  See Also:
    `IntervalUnitType`, `setIntervalUnit(IntervalUnitType)`, `SybaseasabasesqlmodelPackage.getSchedule_IntervalUnit()`

### setIntervalUnit

    void setIntervalUnit(IntervalUnitType value)

  Sets the value of the '`Interval Unit`' attribute.

  Parameters:
    `value` - the new value of the 'Interval Unit' attribute.
  See Also:
    `IntervalUnitType`, `getIntervalUnit()`

### getIntervalMount

    int getIntervalMount()

  Returns the value of the 'Interval Mount' attribute.

  If the meaning of the 'Interval Mount' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Interval Mount' attribute.
  See Also:
    `setIntervalMount(int)`, `SybaseasabasesqlmodelPackage.getSchedule_IntervalMount()`

### setIntervalMount

    void setIntervalMount(int value)

  Sets the value of the '`Interval Mount`' attribute.

  Parameters:
    `value` - the new value of the 'Interval Mount' attribute.
  See Also:
    `getIntervalMount()`

### getEvent

    SybaseASABaseEvent getEvent()

  Returns the value of the 'Event' container reference. It is bidirectional and its opposite is '`Schedules`'.

  If the meaning of the 'Event' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event' container reference.
  See Also:
    `setEvent(SybaseASABaseEvent)`, `SybaseasabasesqlmodelPackage.getSchedule_Event()`, `SybaseASABaseEvent.getSchedules()`

### setEvent

    void setEvent(SybaseASABaseEvent value)

  Sets the value of the '`Event`' container reference.

  Parameters:
    `value` - the new value of the 'Event' container reference.
  See Also:
    `getEvent()`